%define pkgname pylint_venv
Name:          python-pylint-venv
Version:       3.0.3
Release:       1mamba
Summary:       A Pylint init-hook to use the same Pylint installation with different virtual environments
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/jgosmann/pylint-venv/
Source:        http://pypi.debian.net/pylint-venv/pylint_venv-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: python-poetry-core-py310

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pylint_venv-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

mkdir %{buildroot}%{python_sitelib}/pylint_venv
#mv %{buildroot}%{python_sitelib}/README.rst %{buildroot}%{python_sitelib}/pylint_venv/
mv %{buildroot}%{python_sitelib}/pylint_venv.py %{buildroot}%{python_sitelib}/pylint_venv/
mv %{buildroot}%{python_sitelib}/__pycache__ %{buildroot}%{python_sitelib}/pylint_venv/

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/pylint_venv
%{python_sitelib}/pylint_venv/*

%changelog
* Wed Oct 25 2023 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 3.0.2-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Fri Apr 07 2023 Sdk Build System <sdk@mambasoft.it> 2.3.0-2mamba
- rebuilt with python 3.10

* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- package created using the webbuild interface
